Subject: Re: [Gen-art] [mpls] review: draft-ietf-mpls-extended-admin-group-05

From: Jari Arkko <[email-masked]>
Date: Thu, 15 May 2014 15:26:51 +0200

Thank you Joel and Eric for the review and changes. 

Jari

On Apr 29, 2014, at 2:47 PM, Eric Osborne <[email-masked]> wrote:

> Done and posted as -06.
> 
> Chairs: This latest posting has all of the reviews, nits and other
> changes that have been requested.  It is ready for publication.
> 
> 
> 
> eric
> 
> On Fri, Apr 25, 2014 at 11:39 AM, Joel M. Halpern <[email-masked]> wrote:
>> That works for me.
>> Thank you Eric.
>> Yours,
>> Joel
>> 
>> 
>> On 4/25/14, 11:28 AM, Eric Osborne wrote:
>>> 
>>> Works for me.
>>> So
>>> 
>>> " The EAG sub-TLV is used in addition to the Administrative Groups
>>> when an operator wants to make more than 32 colors available for
>>> advertisement in a network"
>>> 
>>> I had gone back and forth with Adrian on language to scope this to a
>>> single LSDB, so as to avoid the discussion of signaling EAG desire in
>>> RSVP or PCEP.  I don't want to add that sort of disclaimer here too,
>>> as it makes the sentence clunky and unweildy.
>>> 
>>> 
>>> 
>>> eric
>>> 
>>> 
>>> On Fri, Apr 25, 2014 at 11:02 AM, Joel Halpern Direct
>>> <[email-masked]> wrote:
>>>> 
>>>> What if instead of "on the link" it is simoply "in the network".  This
>>>> recommend the use of EAG whenever the operators is using more than 32
>>>> colors
>>>> across the link.  It thus actually better aligns with avoiding the
>>>> under-claiming issue by suggesting that operators should use the EAG if
>>>> they
>>>> have more than 32 candidate colors.
>>>> 
>>>> Yours,
>>>> Joel
>>>> 
>>>> PS: substituting wants for wishes is probably reasonable.  If we talk
>>>> about
>>>> network-wide you might even be able to us "intends".
>>>> 
>>>> 
>>>> On 4/25/14, 10:06 AM, Eric Osborne wrote:
>>>>> 
>>>>> 
>>>>> Hi Joel-
>>>>> 
>>>>>    Thanks for the review.  On your minor issue:
>>>>> ---
>>>>>   I believe it is more accurate to say that it is to be used "when a
>>>>> node wishes to advertise colors for a link which are not represented
>>>>> in the first 32 bits of the color mask."  The node may only wish to
>>>>> advertise colors 7 and 60, but that will require the EAG.
>>>>> ---
>>>>> 
>>>>> I see your point, but I'm having trouble coming up with obvious text.
>>>>> Deciding which colors are represented in a color mask is up to the
>>>>> operator, which means it would have to say something like
>>>>> 
>>>>> "when a node wishes to advertise colors for a link which the operator
>>>>> has defined to be outside the first 32 bits of the color mask".
>>>>> 
>>>>> but this would be the only use of 'color mask' in the document, and
>>>>> it's not one I've seen used in any other docs around link coloring.
>>>>> 
>>>>> The whole sentence you refer to is:
>>>>> 
>>>>> " The EAG sub-TLV is used in addition to the Administrative Groups
>>>>> when a node wishes to advertise more than 32 colors for a link."
>>>>> 
>>>>> If I rephrased it as
>>>>> 
>>>>> " The EAG sub-TLV is used in addition to the Administrative Groups
>>>>> when an operator wants to make more than 32 colors available for
>>>>> advertisement on a link"
>>>>> 
>>>>> would that do it?
>>>>> s/wishes/wants/ while I'm here.
>>>>> 
>>>>> 
>>>>> 
>>>>> eric
>>>>> 
>>>>> 
>>>>> On Thu, Apr 24, 2014 at 5:55 PM, Joel M. Halpern <[email-masked]>
>>>>> wrote:
>>>>>> 
>>>>>> 
>>>>>> I am the assigned Gen-ART reviewer for this draft. For background on
>>>>>> Gen-ART, please see the FAQ at
>>>>>> 
>>>>>> <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
>>>>>> 
>>>>>> Please resolve these comments along with any other Last Call comments
>>>>>> you may receive.
>>>>>> 
>>>>>> Document: draft-ietf-mpls-extended-admin-group-05
>>>>>>      Extended Administrative Groups in MPLS-TE
>>>>>> Reviewer: Joel M. Halpern
>>>>>> Review Date: 24-April-2014
>>>>>> IETF LC End Date: 06-May-2014
>>>>>> IESG Telechat date: N/A
>>>>>> 
>>>>>> Summary: This document is ready for publication as a Proposed Standards
>>>>>> RFC
>>>>>> 
>>>>>> Major issues: N/A
>>>>>> 
>>>>>> Minor issues:
>>>>>>      I believe that the description of when to use this EAG is
>>>>>> slightly
>>>>>> misleading.  The text says that EAG is to be used "when a node wishes
>>>>>> to
>>>>>> advertise more than 32 colors for a link."  I believe it is more
>>>>>> accurate
>>>>>> to
>>>>>> say that it is to be used "when a node wishes to advertise colors for a
>>>>>> link
>>>>>> which are not represented in the first 32 bits of the color mask."  The
>>>>>> node
>>>>>> may only wish to advertise colors 7 and 60, but that will require the
>>>>>> EAG.
>>>>>> 
>>>>>> Nits/editorial comments: N/A
>>>>>> 
>>>>>> _______________________________________________
>>>>>> mpls mailing list
>>>>>> [email-masked]
>>>>>> https://www.ietf.org/mailman/listinfo/mpls
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art